###

###

###

###

###

###

###

    STRCOLL(3)          Linux Programmer's Manual          STRCOLL(3)

    NAME
           strcoll - compare two strings using the current locale

    SYNOPSIS
           #include <string.h>

           int strcoll(const char *s1, const char *s2);

    DESCRIPTION
           The strcoll() function compares the two strings s1 and s2.
           It returns an integer less than, equal to, or greater than
           zero  if  s1  is  found, respectively, to be less than, to
           match, or be greater than s2.  The comparison is based  on
           strings  interpreted as appropriate for the program's cur-
           rent locale for category LC_COLLATE.  (See  setlocale(3)).

    RETURN VALUE
           The strcoll() function returns an integer less than, equal
           to, or greater than zero if s1 is found, respectively,  to
           be  less  than, to match, or be greater than s2, when both
           are interpreted as appropriate for the current locale.

    CONFORMING TO
           SVID 3, BSD 4.3, ISO 9899

    NOTES
           The Linux C Library currently hasn't implemented the  com-
           plete POSIX-collating.

           In  the  "POSIX" or "C" locales strcoll() is equivalent to
           strcmp().

### SEE ALSO

bcmp, memcmp, strcasecmp, strcmp, strxfrm, setlocale,

###

    GNU                       April 12, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0